/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Information of the contract holder
 */
@ApiModel(description = "Information of the contract holder")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ContractHolder {
  @SerializedName("customer_id")
  private String customerId = null;

  @SerializedName("person")
  private Model31 person = null;

  @SerializedName("email")
  private String email = null;

  public ContractHolder customerId(String customerId) {
    this.customerId = customerId;
    return this;
  }

   /**
   * Customer unique identifier
   * @return customerId
  **/
  @ApiModelProperty(example = "johndoe", value = "Customer unique identifier")
  public String getCustomerId() {
    return customerId;
  }

  public void setCustomerId(String customerId) {
    this.customerId = customerId;
  }

  public ContractHolder person(Model31 person) {
    this.person = person;
    return this;
  }

   /**
   * Get person
   * @return person
  **/
  @ApiModelProperty(value = "")
  public Model31 getPerson() {
    return person;
  }

  public void setPerson(Model31 person) {
    this.person = person;
  }

  public ContractHolder email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Customer contact email
   * @return email
  **/
  @ApiModelProperty(example = "john.doe@unknown.com", value = "Customer contact email")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ContractHolder contractHolder = (ContractHolder) o;
    return Objects.equals(this.customerId, contractHolder.customerId) &&
        Objects.equals(this.person, contractHolder.person) &&
        Objects.equals(this.email, contractHolder.email);
  }

  @Override
  public int hashCode() {
    return Objects.hash(customerId, person, email);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ContractHolder {\n");
    
    sb.append("    customerId: ").append(toIndentedString(customerId)).append("\n");
    sb.append("    person: ").append(toIndentedString(person)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

